/*
 * カナ LCD シールド(π用)(i2c方式)でカウントダウン表示させる
 *
 * 使用ライブラリ: wiringPi, wiringPiDev
 * コンパイル方法: cc -o kanalcd-count kanalcd-count.c -lwiringPi -lwiringPiDev
 */
#include <stdint.h>
#include <wiringPi.h>
#include <kanalcd.h>


// カナ LCD シールド(π用)の現在の i2c アドレス設定に合わせてください。
#define KANALCD_I2C_ADDR  0x3C


int main (void)
{
	int fd, i;

	// wiringPi 初期化：以下の４方法のいずれか１つのみ実行する
	if (wiringPiSetup() == -1) return 1;
//	if (wiringPiSetupGpio() == -1) return 1;
//	if (wiringPiSetupPhys() == -1) return 1;
//	if (wiringPiSetupSys() == -1) return 1;

	// カナ LCD シールド(π用)の初期化
	fd = kanalcdInit (KANALCD_I2C_ADDR);  // file descriptor を返します。エラーの時は負の値になります。
	if (fd < 0) {
		return 1;
	}

	for (i = 1; i <= 100; i++) {
		kanalcdHome (fd);
		kanalcdPrintf (fd, "<%d>", i);
		delay (1000);
	}

	return 0;
}

