/*
 * カナ LCD シールド(π用)(i2c方式): Locate Test
 *
 * 使用ライブラリ: wiringPi, wiringPiDev
 * コンパイル方法: cc -o kanalcd-locate-test kanalcd-locate-test.c -lwiringPi -lwiringPiDev
 */
#include <stdint.h>
#include <wiringPi.h>
#include <kanalcd.h>


// カナ LCD シールド(π用)の現在の i2c アドレス設定に合わせてください。
#define KANALCD_I2C_ADDR  0x3C


int main (void)
{
	int fd, x, y;

	// wiringPi 初期化：以下の４方法のいずれか１つのみ実行する
	if (wiringPiSetup() == -1) return 1;
//	if (wiringPiSetupGpio() == -1) return 1;
//	if (wiringPiSetupPhys() == -1) return 1;
//	if (wiringPiSetupSys() == -1) return 1;

	// カナ LCD シールド(π用)の初期化
	fd = kanalcdInit (KANALCD_I2C_ADDR);  // file descriptor を返します。エラーの時は負の値になります。
	if (fd < 0) {
		return 1;
	}

	for (y = 0; y < KANALCD_MAX_ROWS; y++) {
		for (x = 0; x < 16; x++) {
			kanalcdPosition (fd, x, y) ;  // カーソル位置を設定: col=0～15, row=0～1 の範囲で指定
			kanalcdPutchar (fd, '*') ;  // 文字コードを１バイト転送する
			delay (1000);
			kanalcdPosition (fd, x, y) ;  // カーソル位置を設定
			kanalcdPutchar (fd, ' ') ;  // 文字コードを１バイト転送する
		}
	}

	return 0;
}

