/*
 * カナ LCD シールド(π用)(i2c方式)に文字列を表示させる
 *
 * 使用ライブラリ: wiringPi, wiringPiDev
 * コンパイル方法: cc -o kanalcd-puts-test kanalcd-puts-test.c -lwiringPi -lwiringPiDev
 */
#include <stdint.h>
#include <wiringPi.h>
#include <kanalcd.h>


// カナ LCD シールド(π用)の現在の i2c アドレス設定に合わせてください。
#define KANALCD_I2C_ADDR  0x3C


// UTF-8 の文字列
uint8_t msg[] = "ｶﾅLCDｼｰﾙﾄﾞ for π\nCols:16 x Rows:2";


int main (void)
{
	int fd;

	// wiringPi 初期化：以下の４方法のいずれか１つのみ実行する
	if (wiringPiSetup() == -1) return 1;
//	if (wiringPiSetupGpio() == -1) return 1;
//	if (wiringPiSetupPhys() == -1) return 1;
//	if (wiringPiSetupSys() == -1) return 1;

	// カナ LCD シールド(π用)の初期化
	fd = kanalcdInit (KANALCD_I2C_ADDR);  // file descriptor を返します。エラーの時は負の値になります。
	if (fd < 0) {
		return 1;
	}

	// 文字列をカナ LCD シールド(π用)に転送する
	kanalcdPuts (fd, msg);

	return 0;
}

