/*
 * 漢字 LCD シールド(π用)(i2c方式)でカウントダウン表示させる
 *
 * 使用ライブラリ: wiringPi, wiringPiDev
 * コンパイル方法: cc -o knjlcd-count knjlcd-count.c -lwiringPi -lwiringPiDev
 */
#include <stdint.h>
#include <wiringPi.h>
#include <knjlcd.h>


// 漢字 LCD シールド(π用)の現在の i2c アドレス設定に合わせてください。
#define KNJLCD_I2C_ADDR  0x3C


int main (void)
{
	int fd, i;

	// wiringPi 初期化：以下の４方法のいずれか１つのみ実行する
	if (wiringPiSetup() == -1) return 1;
//	if (wiringPiSetupGpio() == -1) return 1;
//	if (wiringPiSetupPhys() == -1) return 1;
//	if (wiringPiSetupSys() == -1) return 1;

	// 漢字 LCD シールド(π用)の初期化
	fd = knjlcdInit (KNJLCD_I2C_ADDR);  // file descriptor を返します。エラーの時は負の値になります。
	if (fd < 0) {
		return 1;
	}

	for (i = 1; i <= 100; i++) {
		knjlcdHome (fd);
		knjlcdPrintf (fd, "<%d>", i);
		delay (1000);
	}

	return 0;
}

