/*
 * 漢字 LCD シールド(π用)(i2c方式): グラフィック Line Test
 *
 * 使用ライブラリ: wiringPi, wiringPiDev
 * コンパイル方法: cc -o knjlcd-line-test knjlcd-line-test.c -lwiringPi -lwiringPiDev
 */
#include <stdint.h>
#include <wiringPi.h>
#include <knjlcd.h>


// 漢字 LCD シールド(π用)の現在の i2c アドレス設定に合わせてください。
#define KNJLCD_I2C_ADDR  0x3C


int main (void)
{
	int fd;

	// wiringPi 初期化：以下の４方法のいずれか１つのみ実行する
	if (wiringPiSetup() == -1) return 1;
//	if (wiringPiSetupGpio() == -1) return 1;
//	if (wiringPiSetupPhys() == -1) return 1;
//	if (wiringPiSetupSys() == -1) return 1;

	// 漢字 LCD シールド(π用)の初期化
	fd = knjlcdInit (KNJLCD_I2C_ADDR);  // file descriptor を返します。エラーの時は負の値になります。
	if (fd < 0) {
		return 1;
	}

	// 四隅に点を描画
	knjlcdPset (fd,   0,  0, 1); // 仮想画面に点を描画
	knjlcdPset (fd, 127,  0, 1); // 仮想画面に点を描画
	knjlcdPset (fd,   0, 31, 1); // 仮想画面に点を描画
	knjlcdPset (fd, 127, 31, 1); // 仮想画面に点を描画

	knjlcdLine (fd, 2,  2, 125, 29, 1); // 仮想画面に線を描画
	knjlcdLine (fd, 2, 29, 125,  2, 1); // 仮想画面に線を描画

	knjlcdFlip (fd, 0, 0, 127, 31); // 仮想画面から LCD のグラフィック面に転送：ここで初めて LCD に表示される ※処理に最大約 60ms かかります

	return 0;
}

