/*
 * 漢字 LCD シールド(π用)(i2c方式): Locate Test
 *
 * 使用ライブラリ: wiringPi, wiringPiDev
 * コンパイル方法: cc -o knjlcd-locate-test knjlcd-locate-test.c -lwiringPi -lwiringPiDev
 */
#include <stdint.h>
#include <wiringPi.h>
#include <knjlcd.h>


// 漢字 LCD シールド(π用)の現在の i2c アドレス設定に合わせてください。
#define KNJLCD_I2C_ADDR  0x3C


int main (void)
{
	int fd, x, y;

	// wiringPi 初期化：以下の４方法のいずれか１つのみ実行する
	if (wiringPiSetup() == -1) return 1;
//	if (wiringPiSetupGpio() == -1) return 1;
//	if (wiringPiSetupPhys() == -1) return 1;
//	if (wiringPiSetupSys() == -1) return 1;

	// 漢字 LCD シールド(π用)の初期化
	fd = knjlcdInit (KNJLCD_I2C_ADDR);  // file descriptor を返します。エラーの時は負の値になります。
	if (fd < 0) {
		return 1;
	}

	for (y = 0; y < KNJLCD_MAX_ROWS; y++) {
		for (x = 0; x < KNJLCD_MAX_COLS; x++) {
			knjlcdPosition (fd, x, y) ;  // カーソル位置を設定: col=0～15, row=0～1 の範囲で指定 ※全角文字は偶数colのみ指定可能です
			knjlcdPutchar (fd, '*') ;  // 文字コードを１バイト転送する
			delay (1000);
			knjlcdPosition (fd, x, y) ;  // カーソル位置を設定
			knjlcdPutchar (fd, ' ') ;  // 文字コードを１バイト転送する
		}
	}

	return 0;
}

